<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.thymeleaf.org"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      xmlns:sec="http://www.thymeleaf.org/extras/spring-security"
      layout:decorate="~{layoutadmin}">
<head>
    <meta charset="UTF-8">
    <title>Matakuliah</title>
</head>
<body>
<div layout:fragment="main">
    <div class="header bg-gradient-primary pb-8 pt-5 pt-md-8">
        <div class="container-fluid">
            <div class="header-body">
                <!-- Card stats -->
                <div class="row">
                    <div class="col-xl-12 col-lg-12">
                        <div class="card card-stats mb-4 mb-xl-0">
                            <div class="card-body">
                                <div class="row">
                                    <div class="col">
                                        <h5 class="card-title text-uppercase text-muted mb-0">List</h5>
                                        <span class="h2 font-weight-bold mb-0">Matakuliah Setara </span>
                                    </div>
                                    <div class="col-auto">
                                        <div class="icon icon-shape bg-gradient-blue text-white rounded-circle shadow">
                                            <i class="fas fa-calendar"></i>
                                        </div>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>

                </div>
            </div>
        </div>
    </div>

    <div class="container-fluid mt--7">
        <!-- Table -->
        <div class="row">
            <div class="col">
                <div class="card shadow">
                    <div class="card-header border-0">
                        <div class="row align-items-center">
                            <div class="col">
                                <h3 class="mb-0" th:text="${'Matakuliah ' + matakuliah.namaMatakuliah}">Data List</h3>
                            </div>
                            <div class="input-group-append">
                                <a th:href="@{/academic/courses/list}" class="btn btn-default btn-sm" type="submit"><i class="fas fa-arrow-alt-circle-left"></i>
                                    Kembali
                                </a>
                            </div>
                        </div>
                    </div>
                    <div class="card-body">
                        <div class="table-responsive">
                            <table id="data-table-1" class="table align-items-center table-flush">
                                <thead class="thead-light">
                                <tr>
                                    <th scope="col">#</th>
                                    <th scope="col">Matakuliah</th>
                                    <th scope="col">Matakuliah</th>
                                    <th scope="col"></th>

                                </tr>
                                </thead>
                                <tbody>
                                <tr th:each="data,row : ${listMatakuliah}">
                                    <td th:text="${(row.index + 1)}">1</td>
                                    <td th:text="${data.matakuliah.namaMatakuliah}">1</td>
                                    <td th:text="${data.matakuliahSetara.namaMatakuliah}">mathematics</td>
                                    <td>
                                        <!--button-->
                                        <button type="button" class="btn btn-danger btn-sm" data-toggle="modal"
                                                th:data-target="${'#modal-notification'+data.id}">
                                            <i class="fas fa-trash"></i>
                                        </button>

                                        <div class="modal fade" th:id="${'modal-notification'+data.id}" tabindex="-1"
                                             role="dialog" aria-labelledby="modal-notification" aria-hidden="true">
                                            <div class="modal-dialog modal-danger modal-dialog-centered modal-"
                                                 role="document">
                                                <div class="modal-content bg-gradient-danger">

                                                    <div class="modal-header">
                                                        <h6 class="modal-title" id="modal-title-notification">Your attention
                                                            is required</h6>
                                                        <button type="button" class="close" data-dismiss="modal"
                                                                aria-label="Close">
                                                            <span aria-hidden="true">×</span>
                                                        </button>
                                                    </div>

                                                    <div class="modal-body">

                                                        <div class="py-3 text-center">
                                                            <i class="far fa-trash-alt fa-3x"></i>
                                                            <h4 class="heading mt-4">Are you sure ?</h4>
                                                            <p>Once deleted, you will not be able to recover this imaginary
                                                                file!</p>
                                                        </div>

                                                    </div>

                                                    <div class="modal-footer">
                                                        <form th:action="@{/academic/courses/setara/delete (matakuliahSetara = ${data.id}, matakuliah = ${matakuliah.id})}"
                                                              method="post">
                                                            <button type="submit" class="btn btn-white">Hapus</button>
                                                        </form>
                                                        <button type="button" class="btn btn-link text-white ml-auto"
                                                                data-dismiss="modal">Tutup
                                                        </button>
                                                    </div>

                                                </div>
                                            </div>
                                        </div>
                                    </td>
                                </tr>

                                </tbody>
                            </table>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- Dark table -->


    </div>
</div>
</body>
</html>